Foreman - Bug #14741

Host templates tab fails with mark_translated: no implicit conversion of TemplateKind into String
04/21/2016 04:27 AM - Dominic Cleal

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: Web Interface
Target version: 1.12.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3446
Description

When viewing a host and mark_translated is enabled in settings.yaml, the templates tab on the host#show page fails to render with:

2016-04-21T09:25:27 [app] [W] Failed to fetch templates information

| ActionView::Template::Error: no implicit conversion of TemplateKind into String

| /home/dcleal/code/foreman/foreman/lib/foreman/gettext/debug.rb:14:in " +'

| /home/dcleal/code/foreman/foreman/lib/foreman/gettext/debug.rb:14:in *_"'

| /home/dcleal/code/foreman/foreman/app/views/hosts/_templates.html.erb:11:in ‘block in _app_view
s_hosts__templates_html_erb_ 4147745246099588976_70066143274580"

| /home/dcleal/code/foreman/foreman/app/views/hosts/_templates.html.erb:9:in “each'

| /home/dcleal/code/foreman/foreman/app/views/hosts/_templates.html.erb:9:in °_app_views_hosts__t
emplates_html_erb_ 4147745246099588976_70066143274580"

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview-4.2.6/1lib/action_view/template.r
b:145:in “block in render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/1lib/active_support/noti
fications.rb:166:in "instrument'

| /home/dcleal/.rvm/gems/ruby—-2.0.0-p353@foreman/gems/actionview-4.2.6/1lib/action_view/template.r
b:333:in "~ instrument'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview-4.2.6/1lib/action_view/template.r
b:143:in "render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview—-4.2.6/1lib/action_view/renderer/p
artial_renderer.rb:339:in 'render_partial’

| /home/dcleal/.rvm/gems/ruby—-2.0.0-p353@foreman/gems/actionview—-4.2.6/1lib/action_view/renderer/p
artial_renderer.rb:310:in "block in render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview-4.2.6/1ib/action_view/renderer/a
bstract_renderer.rb:39:in "block in instrument'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/1lib/active_support/noti
fications.rb:164:in "block in instrument'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/1lib/active_support/noti
fications/instrumenter.rb:20:in " instrument'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/1lib/active_support/noti
fications.rb:164:in "~instrument'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview-4.2.6/1ib/action_view/renderer/a
bstract_renderer.rb:39:in "~ instrument'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview-4.2.6/1lib/action_view/renderer/p
artial_renderer.rb:309:1in "“render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview-4.2.6/1lib/action_view/renderer/r
enderer.rb:51:in "render_partial'

| /home/dcleal/.rvm/gems/ruby—-2.0.0-p353@foreman/gems/actionview—-4.2.6/1lib/action_view/renderer/r
enderer.rb:25:in "render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview-4.2.6/1ib/action_view/rendering.
rb:100:in " _render_template’

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/1lib/action_controller/meta
1/streaming.rb:217:in °_render_template'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionview—-4.2.6/1lib/action_view/rendering.
rb:83:in "render_to_body'
| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/1lib/action_controller/meta
1/rendering.rb:32:in “render_to_body"

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/1lib/action_controller/meta
1/renderers.rb:37:in “render_to_body'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/1lib/abstract_controller/re
ndering.rb:25:in "render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/1ib/action_controller/meta
l/rendering.rb:16:in "render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/1lib/action_controller/meta
l1/instrumentation.rb:44:in “block (2 levels) in render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/1lib/active_support/core
_ext/benchmark.rb:12:in “block in ms'

| /home/dcleal/.rvm/rubies/ruby-2.0.0-p353/1ib/ruby/2.0.0/benchmark.rb:296:in "realtime'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activesupport-4.2.6/1lib/active_support/core
_ext/benchmark.rb:12:in “ms'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/1ib/action_controller/meta
1/instrumentation.rb:44:in “block in render'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/actionpack-4.2.6/1lib/action_controller/meta
1/instrumentation.rb:87:in ‘cleanup_view_runtime'

| /home/dcleal/.rvm/gems/ruby-2.0.0-p353@foreman/gems/activerecord-4.2.6/1lib/active_record/railti
es/controller_runtime.rb:25:in ‘“cleanup_view_runtime'

| /home/dcleal/.rvm/gems/ruby—-2.0.0-p353@foreman/gems/actionpack-4.2.6/1lib/action_controller/meta
1/instrumentation.rb:43:in "“render'

| /home/dcleal/code/foreman/foreman/app/controllers/hosts_controller.rb:276:in "templates'

Since #14395.

Related issues:
Related to Foreman - Bug #14395: Hosts > Operating Systems > [OS] > Templates... Closed 03/30/2016

Associated revisions

Revision ¢89a8d23 - 04/21/2016 09:14 AM - Dominic Cleal

fixes #14741 - translate template kind string, not object

Also convert translation keys to strings in debug mode to prevent
concatenation errors.

History

#1 - 04/21/2016 04:28 AM - Dominic Cleal
- Related to Bug #14395: Hosts > Operating Systems > [OS] > Templates tab: "provision" field label is lowercase, should be "Provision" added

#2 - 04/21/2016 05:19 AM - Dominic Cleal
- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#3 - 04/21/2016 05:27 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3446 added

#4 - 04/21/2016 10:02 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset c89a8d230601100f3a04cb8b09e707b5caldce25.
